kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '1'
  selfLink: /apis/apps/v1/namespaces/bookinfo/deployments/details-v1
  resourceVersion: '68016'
  name: details-v1
  uid: 2d3fab41-a347-11e9-b75f-0ad35777b9e0
  creationTimestamp: '2019-07-10T19:16:10Z'
  generation: 1
  namespace: bookinfo
  ownerReferences:
    - apiVersion: bookinfo.kiali.io/v1
      kind: Bookinfo
      name: bookinfo-installation
      uid: 160cd9e9-a347-11e9-871d-06d925bc8560
  labels:
    app: details
    version: v1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: details
      version: v1
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: details
        version: v1
      annotations:
        sidecar.istio.io/inject: 'true'
    spec:
      containers:
        - name: details-container
          image: 'docker.io/maistra/examples-bookinfo-details-v1:0.12.0'
          ports:
            - containerPort: 9080
              protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 1
      maxSurge: 1
  revisionHistoryLimit: 2147483647
  progressDeadlineSeconds: 2147483647
status:
  observedGeneration: 1
  replicas: 1
  updatedReplicas: 1
  readyReplicas: 1
  availableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2019-07-10T19:16:10Z'
      lastTransitionTime: '2019-07-10T19:16:10Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
